## org.eclipse.emf.importer.rose.parser
Class RoseComponent

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseComponent

Direct Known Subclasses:
  RoseLoader, RoseWriter

    public class RoseComponent

extends java.lang.Object

A common class for property change event producers.

Field Summary
`protected java.util.List<java.beans.PropertyChangeListener>` `listeners`

Constructor Summary
`RoseComponent()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `firePropertyChange(java.lang.String propertyName, int oldValue, int newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    protected java.util.List<java.beans.PropertyChangeListener> listeners

Constructor Detail

### RoseComponent

    public RoseComponent()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   int oldValue,
                                   int newValue)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.